VMware Converter Standalone 5.0 Cannot Target ESXi/vCenter 5.1


*Update* vCenter Converter 5.0.1 is available, but not fully supported.

For those of you looking to upgrade to 5.1, be aware that the very important Converter tool is not supported when targeting vCenter 5.1.  When trying to direct it to a vCenter 5.1 instance you will see the following message:

Converter Standalone Application has encountered a problem and needs to close. We are sorry for the inconvenience.

The VMware knowledge base offers the following workarounds:

To run Converter Standalone 5.0 tasks against vSphere 5.1 environments:

  1. Verify that you have access to a standalone ESXi 5.0 host.
  2. Perform your Converter Standalone 5.0 tasks against the target ESXi 5.0 host.
  3. Add the ESXi 5.0 host to a vCenter Server 5.1 instance.
  4. To change the ESXi environment, perform one of these options:
    • Upgrade the ESXi 5.0 host to version 5.1.
    • Run the vSphere 5.1 Web Client to migrate your virtual machines from the ESXi 5.0 host to an ESXi 5.1 host.
  5. (Optional) To upgrade the hardware version of your virtual machine to version 9, use the vSphere 5.1 Web Client.
Note: You can use Converter Standalone version 4.3 as long as you select Hardware Version 7 or 8 as the version type when the target is ESXi 5.1 and later on manually upgrade the hardware version using the Web Client.  

Unfortunately, VMware is a month late and this is still an issue, underscoring the point I made yesterday, that VMware has missed the mark recently.

Leave a Reply